Go to index page.

# gifbg

A program to generate a single-color test pattern GIF with gradually changing intensity in any of the basic 8 directions.

# Usage:

    gifbg [-q] [-d Dir] [-l #Lvls] [-c R G B] [-m MinI] [-M MaxI] [-s W H] [-h]

The gifbg program reads no input, and will dump the created GIF file to stdout.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-d Dir]
  Select direction the intensity of the background should increase. Direction can be one of the 8 principal directions:

         "T" - for Top		"TR" - for Top Right
         "R" - for Right		"BR" - for Bottom Right
         "B" - for Bottom		"BL" - for Bottom Left
         "L" - for left		"TL" - for Top Left

  The compass directions may be use as synonyms for the above directions, so for example "NE" is equal to "TR".

  Direction is case insensitive. The default direction is Top (North).

[-l #Lvls]
  Number of levels the color will be scaled to. Default is 16.

[-c R G B]
  What to use as the primary background color to scale. This color is scaled between the minimum intensity (MinI) and maximum intensity (MaxI) from one end of the screen to the other as defined by Dir. See below (-m & -M) for MinI & MaxI. Default is Blue (0, 0, 255).

[-m MinI]
  Minimum intensity (in percent) to scale color. Default 10%

[-M MaxI]
  Maximum intensity (in percent) to scale color. Default 100%

[-s W H]
  Size of image to create. Default 640 by 350.

[-h]
  Print one line of command line help, similar to Usage above.

# Notes:

If MinI == MaxI = 100 (%) and #Lvls == 2 then boolean mask image of specified size will be created - all foreground. This can be used as a square mask for the gifcomb utility.

# Author:

Gershon Elber